Backend API
<dx-chart
id="container"
[dataSource]="dataSource"
title="Australian Olympic Medal Count"
>
<dxi-chart-series
valueField="bronze"
name="Bronze Medals"
color="#cd7f32"
></dxi-chart-series>
<dxi-chart-series
valueField="silver"
name="Silver Medals"
color="#c0c0c0"
></dxi-chart-series>
<dxi-chart-series
valueField="gold"
name="Gold Medals"
color="#ffd700"
></dxi-chart-series>
<dxo-chart-common-series-settings type="stepline" argumentField="year">
<dxo-stepline>
<dxo-chart-point [visible]="false"></dxo-chart-point>
</dxo-stepline>
</dxo-chart-common-series-settings>
<dxo-chart-export [enabled]="true"></dxo-chart-export>
<dxo-chart-argument-axis>
<dxo-chart-label>
<dxo-chart-format type="decimal"></dxo-chart-format>
</dxo-chart-label>
</dxo-chart-argument-axis>
<dxo-chart-legend verticalAlignment="bottom" horizontalAlignment="center">
</dxo-chart-legend>
</dx-chart>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxChartModule } from 'devextreme-angular';
import { MedalInfo, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxChartModule,
],
})
export class AppComponent {
dataSource: MedalInfo[];
constructor(service: Service) {
this.dataSource = service.getMedalsInfo();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #container {
height: 440px;
}
import { Injectable } from '@angular/core';
export class MedalInfo {
year: number;
gold: number;
silver: number;
bronze: number;
}
const medalsInfo: MedalInfo[] = [{
year: 1896,
gold: 2,
silver: 0,
bronze: 0,
}, {
year: 1900,
gold: 2,
silver: 0,
bronze: 3,
}, {
year: 1904,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1908,
gold: 1,
silver: 2,
bronze: 2,
}, {
year: 1912,
gold: 2,
silver: 2,
bronze: 3,
}, {
year: 1916,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1920,
gold: 0,
silver: 2,
bronze: 1,
}, {
year: 1924,
gold: 3,
silver: 1,
bronze: 2,
}, {
year: 1928,
gold: 1,
silver: 2,
bronze: 1,
}, {
year: 1932,
gold: 3,
silver: 1,
bronze: 1,
}, {
year: 1936,
gold: 0,
silver: 0,
bronze: 1,
}, {
year: 1940,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1944,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1948,
gold: 2,
silver: 6,
bronze: 5,
}, {
year: 1952,
gold: 6,
silver: 2,
bronze: 3,
}, {
year: 1956,
gold: 13,
silver: 8,
bronze: 14,
}, {
year: 1960,
gold: 8,
silver: 8,
bronze: 6,
}, {
year: 1964,
gold: 6,
silver: 2,
bronze: 10,
}, {
year: 1968,
gold: 5,
silver: 7,
bronze: 5,
}, {
year: 1972,
gold: 8,
silver: 7,
bronze: 2,
}, {
year: 1976,
gold: 0,
silver: 1,
bronze: 4,
}, {
year: 1980,
gold: 2,
silver: 2,
bronze: 5,
}, {
year: 1984,
gold: 4,
silver: 8,
bronze: 12,
}, {
year: 1988,
gold: 3,
silver: 6,
bronze: 5,
}, {
year: 1992,
gold: 7,
silver: 9,
bronze: 11,
}, {
year: 1996,
gold: 9,
silver: 9,
bronze: 23,
}, {
year: 2000,
gold: 16,
silver: 25,
bronze: 17,
}, {
year: 2004,
gold: 17,
silver: 16,
bronze: 16,
}, {
year: 2008,
gold: 14,
silver: 15,
bronze: 17,
}, {
year: 2012,
gold: 8,
silver: 15,
bronze: 12,
}, {
year: 2016,
gold: 8,
silver: 11,
bronze: 10,
}];
@Injectable()
export class Service {
getMedalsInfo(): MedalInfo[] {
return medalsInfo;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.0.2"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
-
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
Vue Charts - Step Line
Step line charts display data as points joined by horizontal and vertical line segments (forming a step-like pattern). To create a step line chart, set the series.type property to "stepline".
Backend API
<template>
<DxChart
id="container"
:data-source="olympicAchievements"
title="Australian Olympic Medal Count"
>
<DxCommonSeriesSettings
type="stepline"
argument-field="year"
>
<DxPoint :visible="false"/>
</DxCommonSeriesSettings>
<DxSeries
v-for="medal in medalSources"
:key="medal.value"
:value-field="medal.value"
:name="medal.name"
:color="medal.color"
/>
<DxArgumentAxis>
<DxLabel>
<DxFormat type="decimal"/>
</DxLabel>
</DxArgumentAxis>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
/>
<DxExport :enabled="true"/>
</DxChart>
</template>
<script setup lang="ts">
import {
DxChart,
DxSeries,
DxArgumentAxis,
DxCommonSeriesSettings,
DxExport,
DxLegend,
DxPoint,
DxLabel,
DxFormat,
} from 'devextreme-vue/chart';
import { medalSources, olympicAchievements } from './data.ts';
</script>
<style>
#container {
height: 440px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const medalSources = [
{ value: 'bronze', name: 'Bronze Medals', color: '#cd7f32' },
{ value: 'silver', name: 'Silver Medals', color: '#c0c0c0' },
{ value: 'gold', name: 'Gold Medals', color: '#ffd700' },
];
export const olympicAchievements = [{
year: 1896,
gold: 2,
silver: 0,
bronze: 0,
}, {
year: 1900,
gold: 2,
silver: 0,
bronze: 3,
}, {
year: 1904,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1908,
gold: 1,
silver: 2,
bronze: 2,
}, {
year: 1912,
gold: 2,
silver: 2,
bronze: 3,
}, {
year: 1916,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1920,
gold: 0,
silver: 2,
bronze: 1,
}, {
year: 1924,
gold: 3,
silver: 1,
bronze: 2,
}, {
year: 1928,
gold: 1,
silver: 2,
bronze: 1,
}, {
year: 1932,
gold: 3,
silver: 1,
bronze: 1,
}, {
year: 1936,
gold: 0,
silver: 0,
bronze: 1,
}, {
year: 1940,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1944,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1948,
gold: 2,
silver: 6,
bronze: 5,
}, {
year: 1952,
gold: 6,
silver: 2,
bronze: 3,
}, {
year: 1956,
gold: 13,
silver: 8,
bronze: 14,
}, {
year: 1960,
gold: 8,
silver: 8,
bronze: 6,
}, {
year: 1964,
gold: 6,
silver: 2,
bronze: 10,
}, {
year: 1968,
gold: 5,
silver: 7,
bronze: 5,
}, {
year: 1972,
gold: 8,
silver: 7,
bronze: 2,
}, {
year: 1976,
gold: 0,
silver: 1,
bronze: 4,
}, {
year: 1980,
gold: 2,
silver: 2,
bronze: 5,
}, {
year: 1984,
gold: 4,
silver: 8,
bronze: 12,
}, {
year: 1988,
gold: 3,
silver: 6,
bronze: 5,
}, {
year: 1992,
gold: 7,
silver: 9,
bronze: 11,
}, {
year: 1996,
gold: 9,
silver: 9,
bronze: 23,
}, {
year: 2000,
gold: 16,
silver: 25,
bronze: 17,
}, {
year: 2004,
gold: 17,
silver: 16,
bronze: 16,
}, {
year: 2008,
gold: 14,
silver: 15,
bronze: 17,
}, {
year: 2012,
gold: 8,
silver: 15,
bronze: 12,
}, {
year: 2016,
gold: 8,
silver: 11,
bronze: 10,
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

Backend API
import React from 'react';
import {
Chart,
Series,
ArgumentAxis,
CommonSeriesSettings,
Export,
Legend,
Point,
Label,
Format,
} from 'devextreme-react/chart';
import { medalSources, olympicAchievements } from './data.ts';
function App() {
return (
<Chart
id="container"
dataSource={olympicAchievements}
title="Australian Olympic Medal Count"
>
<CommonSeriesSettings
type="stepline"
argumentField="year"
>
<Point visible={false} />
</CommonSeriesSettings>
{
medalSources.map((item) => <Series
key={item.value}
valueField={item.value}
name={item.name}
color={item.color} />)
}
<ArgumentAxis>
<Label>
<Format type="decimal" />
</Label>
</ArgumentAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
<Export enabled={true} />
</Chart>
);
}
export default App;
import React from 'react';
import {
Chart,
Series,
ArgumentAxis,
CommonSeriesSettings,
Export,
Legend,
Point,
Label,
Format,
} from 'devextreme-react/chart';
import { medalSources, olympicAchievements } from './data.js';
function App() {
return (
<Chart
id="container"
dataSource={olympicAchievements}
title="Australian Olympic Medal Count"
>
<CommonSeriesSettings
type="stepline"
argumentField="year"
>
<Point visible={false} />
</CommonSeriesSettings>
{medalSources.map((item) => (
<Series
key={item.value}
valueField={item.value}
name={item.name}
color={item.color}
/>
))}
<ArgumentAxis>
<Label>
<Format type="decimal" />
</Label>
</ArgumentAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
<Export enabled={true} />
</Chart>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const medalSources = [
{ value: 'bronze', name: 'Bronze Medals', color: '#cd7f32' },
{ value: 'silver', name: 'Silver Medals', color: '#c0c0c0' },
{ value: 'gold', name: 'Gold Medals', color: '#ffd700' },
];
export const olympicAchievements = [{
year: 1896,
gold: 2,
silver: 0,
bronze: 0,
}, {
year: 1900,
gold: 2,
silver: 0,
bronze: 3,
}, {
year: 1904,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1908,
gold: 1,
silver: 2,
bronze: 2,
}, {
year: 1912,
gold: 2,
silver: 2,
bronze: 3,
}, {
year: 1916,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1920,
gold: 0,
silver: 2,
bronze: 1,
}, {
year: 1924,
gold: 3,
silver: 1,
bronze: 2,
}, {
year: 1928,
gold: 1,
silver: 2,
bronze: 1,
}, {
year: 1932,
gold: 3,
silver: 1,
bronze: 1,
}, {
year: 1936,
gold: 0,
silver: 0,
bronze: 1,
}, {
year: 1940,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1944,
gold: 0,
silver: 0,
bronze: 0,
}, {
year: 1948,
gold: 2,
silver: 6,
bronze: 5,
}, {
year: 1952,
gold: 6,
silver: 2,
bronze: 3,
}, {
year: 1956,
gold: 13,
silver: 8,
bronze: 14,
}, {
year: 1960,
gold: 8,
silver: 8,
bronze: 6,
}, {
year: 1964,
gold: 6,
silver: 2,
bronze: 10,
}, {
year: 1968,
gold: 5,
silver: 7,
bronze: 5,
}, {
year: 1972,
gold: 8,
silver: 7,
bronze: 2,
}, {
year: 1976,
gold: 0,
silver: 1,
bronze: 4,
}, {
year: 1980,
gold: 2,
silver: 2,
bronze: 5,
}, {
year: 1984,
gold: 4,
silver: 8,
bronze: 12,
}, {
year: 1988,
gold: 3,
silver: 6,
bronze: 5,
}, {
year: 1992,
gold: 7,
silver: 9,
bronze: 11,
}, {
year: 1996,
gold: 9,
silver: 9,
bronze: 23,
}, {
year: 2000,
gold: 16,
silver: 25,
bronze: 17,
}, {
year: 2004,
gold: 17,
silver: 16,
bronze: 16,
}, {
year: 2008,
gold: 14,
silver: 15,
bronze: 17,
}, {
year: 2012,
gold: 8,
silver: 15,
bronze: 12,
}, {
year: 2016,
gold: 8,
silver: 11,
bronze: 10,
}];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const medalSources = [
{ value: 'bronze', name: 'Bronze Medals', color: '#cd7f32' },
{ value: 'silver', name: 'Silver Medals', color: '#c0c0c0' },
{ value: 'gold', name: 'Gold Medals', color: '#ffd700' },
];
export const olympicAchievements = [
{
year: 1896,
gold: 2,
silver: 0,
bronze: 0,
},
{
year: 1900,
gold: 2,
silver: 0,
bronze: 3,
},
{
year: 1904,
gold: 0,
silver: 0,
bronze: 0,
},
{
year: 1908,
gold: 1,
silver: 2,
bronze: 2,
},
{
year: 1912,
gold: 2,
silver: 2,
bronze: 3,
},
{
year: 1916,
gold: 0,
silver: 0,
bronze: 0,
},
{
year: 1920,
gold: 0,
silver: 2,
bronze: 1,
},
{
year: 1924,
gold: 3,
silver: 1,
bronze: 2,
},
{
year: 1928,
gold: 1,
silver: 2,
bronze: 1,
},
{
year: 1932,
gold: 3,
silver: 1,
bronze: 1,
},
{
year: 1936,
gold: 0,
silver: 0,
bronze: 1,
},
{
year: 1940,
gold: 0,
silver: 0,
bronze: 0,
},
{
year: 1944,
gold: 0,
silver: 0,
bronze: 0,
},
{
year: 1948,
gold: 2,
silver: 6,
bronze: 5,
},
{
year: 1952,
gold: 6,
silver: 2,
bronze: 3,
},
{
year: 1956,
gold: 13,
silver: 8,
bronze: 14,
},
{
year: 1960,
gold: 8,
silver: 8,
bronze: 6,
},
{
year: 1964,
gold: 6,
silver: 2,
bronze: 10,
},
{
year: 1968,
gold: 5,
silver: 7,
bronze: 5,
},
{
year: 1972,
gold: 8,
silver: 7,
bronze: 2,
},
{
year: 1976,
gold: 0,
silver: 1,
bronze: 4,
},
{
year: 1980,
gold: 2,
silver: 2,
bronze: 5,
},
{
year: 1984,
gold: 4,
silver: 8,
bronze: 12,
},
{
year: 1988,
gold: 3,
silver: 6,
bronze: 5,
},
{
year: 1992,
gold: 7,
silver: 9,
bronze: 11,
},
{
year: 1996,
gold: 9,
silver: 9,
bronze: 23,
},
{
year: 2000,
gold: 16,
silver: 25,
bronze: 17,
},
{
year: 2004,
gold: 17,
silver: 16,
bronze: 16,
},
{
year: 2008,
gold: 14,
silver: 15,
bronze: 17,
},
{
year: 2012,
gold: 8,
silver: 15,
bronze: 12,
},
{
year: 2016,
gold: 8,
silver: 11,
bronze: 10,
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#container {
height: 440px;
}